require 'default:base_skill_window'

---------------------------------------------------------
-- OVERRIDE INFO
---------------------------------------------------------
-- changed the width of the skill title
-- removed skill icon
-- removed tracking and favorites
-- added Advanced Skill Talents
function AddSkillDetail(dynamicWindow,position,pageTypeIndex)
	--DebugMessage("AddSkillDetail",tostring(position),tostring(pageTypeIndex))
	local curX = (position - 1) * 312

	local skillInfo = GetAllSkills()[pageTypeIndex]
	if(skillInfo) then
		dynamicWindow:AddImage(curX + 114,64,"Prestige_TitleHeader",250,0,"Sliced")
		dynamicWindow:AddLabel(curX + 240,67,"[43240f]"..GetSkillDisplayName(skillInfo.Name).."[-]",266,28,28,"center",false,false,"Kingthings_Dynamic")
		dynamicWindow:AddImage(curX + 114,100,"Prestige_Divider",250,0,"Sliced")

		dynamicWindow:AddLabel(curX + 114,114,"[412A08]"..(skillInfo.Data.Description or "").."[-]",250,210,18,"",false,false,"PermianSlabSerif_Dynamic_Bold")


		dynamicWindow:AddImage(curX + 114,268,"Prestige_Divider",250,0,"Sliced")
	
		dynamicWindow:AddImage(curX + 114,280,"Prestige_TitleHeader",250,0,"Sliced")
		dynamicWindow:AddLabel(curX + 240,283,"[43240f]Advanced Skill Feats",266,28,28,"center",false,false,"Kingthings_Dynamic")

		dynamicWindow:AddImage(curX + 114,312,"Prestige_Divider",250,0,"Sliced")

		if(skillInfo.Data.Abilities) then
			local curAbilityX = curX + 115
			for i=1,4 do
				if(i > #skillInfo.Data.Abilities) then
					dynamicWindow:AddImage(curAbilityX,325,"SpellAbilInvalid",52,52,"Simple")
					dynamicWindow:AddImage(curAbilityX+2,327,"Lock_GoldDiamond",48,48,"Simple")
					curAbilityX = curAbilityX + 65
				else
					local curAction = GetPrestigeAbilityUserAction(this, nil,"Skills",skillInfo.Data.Abilities[i])
					dynamicWindow:AddUserAction(curAbilityX,325,curAction,52)
					curAbilityX = curAbilityX + 65
				end
			end
		end
		dynamicWindow:AddImage(curX + 114,380,"Prestige_Divider",250,0,"Sliced")
	end
end

---------------------------------------------------------
-- OVERRIDE INFO
---------------------------------------------------------
-- we dont want this
function AddFavoritesPage(dynamicWindow)

end