-----------------------------------------------------------------------------------------------
-- VERSION 1.0
-----------------------------------------------------------------------------------------------
-- Damage Scaling
-- TODO DAMANGE CHANGE COMMENT CORRECTLY
-- damage bonus is 1 - 100 based on enhancement skill
-- RULES
-- 50% less damage to non undead
-----------------------------------------------------------------------------------------------
MobileEffectLibrary.LightningBolt = 
{
	-------------------------------------------------------------------------------------------
	-- CORE VARIABLES
	-------------------------------------------------------------------------------------------
	Duration = SpellData.SpellEffectDuration.Instant,
	MinDamage = 10,
	MaxDamage = 35,
	BaseDamage = 75,
	MaxBonusDamage = 50,
	Caster = nil,
	Victim = nil,
	-------------------------------------------------------------------------------------------
	-- CORE FUNCTIONS
	-------------------------------------------------------------------------------------------
	OnEnterState = function(self,root,target,args)
		self.Caster = target
		self.Victim = self.ParentObj
		local baseLightDamage = (GetSkillLevel(self.Caster,"AirMagic")/100) * self.BaseDamage
		local maxBonusDamage = (GetSkillLevel(self.Caster,"MagicFocusEnhancement")/100) *self.MaxBonusDamage
		local spellDamage = math.random(self.MinDamage,self.MaxDamage) + baseLightDamage + maxBonusDamage
		self.Victim:SendMessage("DamageInflicted",self.Caster,spellDamage,"MAGIC",false,false,false,self.Caster)
		self.PlayEffects(self,root,target,args)
	end,
	GetPulseFrequency = function(self,root)
		return self.Duration
	end,
	AiPulse = function(self,root)
		EndMobileEffect(root)
	end,
	-------------------------------------------------------------------------------------------
	-- CUSTOM FUNCTIONS
	-------------------------------------------------------------------------------------------
	PlayEffects = function(self,root,target,args)
		self.Victim:PlayEffectWithArgs("LightningEffect",2.5,"Bone=Ground")
		if ( self.Victim:IsPlayer() ) then
			self.Victim:SystemMessage("[4477AA]Lightning cracks down from the sky, striking you in your tracks...")
		end
	end,
}