-----------------------------------------------------------------------------------------------
-- VERSION 1.0
-----------------------------------------------------------------------------------------------
MobileEffectLibrary.Command = 
{
	-------------------------------------------------------------------------------------------
	-- CORE VARIABLES
	-------------------------------------------------------------------------------------------
	Duration = SpellData.SpellEffectDuration.Instant,
	Caster = nil,
	Target = nil,
	-------------------------------------------------------------------------------------------
	-- CORE FUNCTIONS
	-------------------------------------------------------------------------------------------
	OnEnterState = function(self,root,target,args)
		self.Caster = targets
		self.Target = self.ParentObj

		-- not on players
		if(self.Target:IsPlayer()) then
			EndMobileEffect(root)
			return
		end
		self.Target:SendMessage("AddThreat", self.Caster, 100)
		self.Target:SendMessage("AddAggro", self.Caster, 100)
		target:SystemMessage("You command your target to duel you in noble battle")
		self.PlayEffects(self,root,target,args)
	end,
	OnExitState = function(self,root)
	end,
	OnStack = function(self,root,target,args)
	end,
	GetPulseFrequency = function(self,root)
		return self.Duration
	end,
	AiPulse = function(self,root)
		EndMobileEffect(root)
	end,
	-------------------------------------------------------------------------------------------
	-- CUSTOM FUNCTIONS
	-------------------------------------------------------------------------------------------
	PlayEffects = function(self,root,target,args)
		self.Target:PlayObjectSound("event:/magic/misc/magic_water_restoration",false)
		self.Target:PlayEffectWithArgs("BuffEffectA",0,"Bone=Head")
		self.Target:PlayEffectWithArgs("RedPortalEffect",0.5,"Bone=Ground")	
	end,
}
