require 'default:globals.static_data.prestige.skills'

PrestigeData.Skills.Abilities.Meditation = 
{
	Rank = 1,
	Action = {
		DisplayName = "Meditation",
		Icon = "Night",
		Enabled = true
	},
	NoResetSwing = true,
	Tooltip = "Increase mana regeneration significantly for 30 seconds, while standing still.",

	MobileEffect = "Meditation",
	MobileEffectArgs = {
		Duration = TimeSpan.FromSeconds(30),
	},
	Cooldown = TimeSpan.FromMinutes(2)
}