
SkillData.AllSkills.FireMagic =
{
	DisplayName = "Magic School: Fire",
	PrimaryStat = "Intelligence",
	Description = ".",
	SkillType = "CombatTypeSkill",
	GainFactor = 0.1,	
	Abilities = {},
	Skip = false,
	NoStatGain = true,
}

SkillData.AllSkills.AirMagic =
{
	DisplayName = "Magic School: Air",
	PrimaryStat = "Intelligence",
	Description = ".",
	SkillType = "CombatTypeSkill",
	GainFactor = 0.1,	
	Abilities = {},
	Skip = false,
	NoStatGain = true,
}

SkillData.AllSkills.WaterMagic =
{
	DisplayName = "Magic School: Water",
	PrimaryStat = "Intelligence",
	Description = ".",
	SkillType = "CombatTypeSkill",
	GainFactor = 0.1,	
	Abilities = {},
	Skip = false,
	NoStatGain = true,
}

SkillData.AllSkills.EarthMagic =
{
	DisplayName = "Magic School: Earth",
	PrimaryStat = "Intelligence",
	Description = ".",
	SkillType = "CombatTypeSkill",
	GainFactor = 0.1,	
	Abilities = {},
	Skip = false,
	NoStatGain = true,
}

SkillData.AllSkills.LightMagic =
{
	DisplayName = "Magic School: Light",
	PrimaryStat = "Intelligence",
	Description = "The school of light magic and dark magic where the first to be mastered by men. The school of light has always protected its followers and bestowed them with the power and protection of the light.\n\n\"Hold the light, hold it tight!! Insuring it never fades...\"\n~ Odric, Champion of the Light",
	SkillType = "CombatTypeSkill",
	GainFactor = 0.1,	
	Abilities = {},
	Skip = false,
	NoStatGain = true,
}

SkillData.AllSkills.DarkMagic =
{
	DisplayName = "Magic School: Dark",
	PrimaryStat = "Intelligence",
	Description = ".",
	SkillType = "CombatTypeSkill",
	GainFactor = 0.1,	
	Abilities = {},
	Skip = false,
	NoStatGain = true,
}

SkillData.AllSkills.ChannelingSkill = 
{
	DisplayName = "Magic Focus: Channeling",
	PrimaryStat = "Intelligence",
	Description = "Channeling determines your ability to actively and passively regenerate mana.",
	SkillType = "CombatTypeSkill",
	GainFactor = 0.2,
	Abilities = { "Focus","Meditation" },
	Skip = false,
	NoStatGain = true,
}

-- lower reagent cast amount by 5 stages
-- Skill 0+: 5 reagents
-- Skill 20+: 4 reagents
-- Skill 40+: 3 reagents
-- Skill 60+: 2 reagents
-- Skill 80+: 1 reagents
-- SKILL GM+: 20% chance to not consume any reagents on cast
SkillData.AllSkills.MagicFocusConservation =
{
	DisplayName = "Magic Focus: Conservation",
	PrimaryStat = "Intelligence",
	Description = ".",
	SkillType = "CombatTypeSkill",
	GainFactor = 0.1,	
	Abilities = {},
	Skip = false,
	NoStatGain = true,
}

-- fuel the powers of buffs/debuffs casted
SkillData.AllSkills.MagicFocusEnhancement =
{
	DisplayName = "Magic Focus: Enhancement",
	PrimaryStat = "Intelligence",
	Description = ".",
	SkillType = "CombatTypeSkill",
	GainFactor = 0.1,	
	Abilities = {},
	Skip = false,
	NoStatGain = true,
}

-- effects summons
SkillData.AllSkills.MagicFocusSummoning =
{
	DisplayName = "Magic Focus: Summoning",
	PrimaryStat = "Intelligence",
	Description = ".",
	SkillType = "CombatTypeSkill",
	GainFactor = 0.1,	
	Abilities = {},
	Skip = false,
	NoStatGain = true,
}