SpellData.AllSpells.Frost = 
{
	PowerWords = "Ray of Frost",
	manaCost = 14,
	upkeepCost = 0,
	DamageType = "Frost",
	effectType = "Projectile",
	SpellPower = 30,
	critChance = 1,
	SpellRange = 12,
	TargetType = "targetMobile",
	TargetRequired = true,
	CanBeInterrupted = true,
	CanClearcast = true,
	SpellTravelRate = 60,
	critEffectTargetScript = "sp_burn_effect",
	SpellType = "MagicAttackTypeSpell",
	SpellPrimeFXName = "ConjurePrimeRedEffect",
    SpellPrimeFXArgs = "Bone=Spine2",
    SpellPrimeFX2Name = "MagicPrimeTrailRedEffect",
    SpellPrimeFX2Args = "Bone=L_Hand",
    SpellPrimedFXName = "MagicPrimeHandRedEffect",
    SpellPrimedFXArgs = "Bone=R_Hand",
    SpellPrimedFX2Name = "MagicPrimeHandRedEffect",
    SpellPrimedFX2Args = "Bone=L_Hand",
	CanBeDodged = true,
	CanBeBlocked = true,
	CanBeParried = true,
	MinTravelTime = 0.5,
	SpellFXName = "IceRaySpellEffect",
	SpellFXArgs = "Bone=R_Hand",
	SpellFXDelay = 0.1,
	SpellFXDespawnDelay = 3.0,
	SpellHitFX = "IceCrystalExplosionEffect",
	SpellPrimeSFX = "event:/magic/fire/magic_fire_cast_fire",
	SpellHitSFX = "event:/magic/fire/magic_fire_fireball_impact",
	SpellTooltipString = "Shoots a ray of frost that does damages the target on impact.",
	requireLineOfSight = true,
	Skill = "WaterMagic",
	AttackSpellType = true,
	SpellEnabled = true,
	SpellFireAnim = "spell_fire",
	SpellDisplayName = "Ray of Frost",
	TargetMobileEffect = "Chilled",
	Reagents = {
		"LemonGrass",
	},
	Circle = 5,
	Icon = "Chill",
}

SpellData.AllSpells.WaterElemental = 
{
	PowerWords = "",
	manaCost = 14,
	upkeepCost = 0,
	DamageType = "Frost",
	effectType = "Projectile",
	SpellPower = 30,
	critChance = 1,
	SpellRange = 12,
	TargetType = "targetMobile",
	TargetRequired = true,
	CanBeInterrupted = true,
	CanClearcast = true,
	SpellTravelRate = 60,
	critEffectTargetScript = "sp_burn_effect",
	SpellType = "MagicAttackTypeSpell",
	SpellPrimeFXName = "ConjurePrimeRedEffect",
    SpellPrimeFXArgs = "Bone=Spine2",
    SpellPrimeFX2Name = "MagicPrimeTrailRedEffect",
    SpellPrimeFX2Args = "Bone=L_Hand",
    SpellPrimedFXName = "MagicPrimeHandRedEffect",
    SpellPrimedFXArgs = "Bone=R_Hand",
    SpellPrimedFX2Name = "MagicPrimeHandRedEffect",
    SpellPrimedFX2Args = "Bone=L_Hand",
	CanBeDodged = true,
	CanBeBlocked = true,
	CanBeParried = true,
	MinTravelTime = 0.5,
	SpellFXName = "IceRaySpellEffect",
	SpellFXArgs = "Bone=R_Hand",
	SpellFXDelay = 0.1,
	SpellFXDespawnDelay = 3.0,
	SpellHitFX = "IceCrystalExplosionEffect",
	SpellPrimeSFX = "event:/magic/fire/magic_fire_cast_fire",
	SpellHitSFX = "event:/magic/fire/magic_fire_fireball_impact",
	SpellTooltipString = "Shoots a ray of frost that does damages the target on impact.",
	requireLineOfSight = true,
	Skill = "WaterMagic",
	AttackSpellType = true,
	SpellEnabled = true,
	SpellFireAnim = "spell_fire",
	SpellDisplayName = "Water Elemental",
	TargetMobileEffect = "Chilled",
	Reagents = {
		"LemonGrass",
	},
	Circle = 5,
	Icon = "Gust of Wind",
}

SpellData.AllSpells.Drown = 
{
	PowerWords = "",
	manaCost = 14,
	upkeepCost = 0,
	DamageType = "Frost",
	effectType = "Projectile",
	SpellPower = 30,
	critChance = 1,
	SpellRange = 12,
	TargetType = "targetMobile",
	TargetRequired = true,
	CanBeInterrupted = true,
	CanClearcast = true,
	SpellTravelRate = 60,
	critEffectTargetScript = "sp_burn_effect",
	SpellType = "MagicAttackTypeSpell",
	SpellPrimeFXName = "ConjurePrimeRedEffect",
    SpellPrimeFXArgs = "Bone=Spine2",
    SpellPrimeFX2Name = "MagicPrimeTrailRedEffect",
    SpellPrimeFX2Args = "Bone=L_Hand",
    SpellPrimedFXName = "MagicPrimeHandRedEffect",
    SpellPrimedFXArgs = "Bone=R_Hand",
    SpellPrimedFX2Name = "MagicPrimeHandRedEffect",
    SpellPrimedFX2Args = "Bone=L_Hand",
	CanBeDodged = true,
	CanBeBlocked = true,
	CanBeParried = true,
	MinTravelTime = 0.5,
	SpellFXName = "IceRaySpellEffect",
	SpellFXArgs = "Bone=R_Hand",
	SpellFXDelay = 0.1,
	SpellFXDespawnDelay = 3.0,
	SpellHitFX = "IceCrystalExplosionEffect",
	SpellPrimeSFX = "event:/magic/fire/magic_fire_cast_fire",
	SpellHitSFX = "event:/magic/fire/magic_fire_fireball_impact",
	SpellTooltipString = "Shoots a ray of frost that does damages the target on impact.",
	requireLineOfSight = true,
	Skill = "WaterMagic",
	AttackSpellType = true,
	SpellEnabled = true,
	SpellFireAnim = "spell_fire",
	SpellDisplayName = "Drown",
	TargetMobileEffect = "Chilled",
	Reagents = {
		"LemonGrass",
	},
	Circle = 5,
	Icon = "Frost Orb",
}

SpellData.AllSpells.Innervate = 
{
	PowerWords = "",
	manaCost = 14,
	upkeepCost = 0,
	DamageType = "Frost",
	effectType = "Projectile",
	SpellPower = 30,
	critChance = 1,
	SpellRange = 12,
	TargetType = "targetMobile",
	TargetRequired = true,
	CanBeInterrupted = true,
	CanClearcast = true,
	SpellTravelRate = 60,
	critEffectTargetScript = "sp_burn_effect",
	SpellType = "MagicAttackTypeSpell",
	SpellPrimeFXName = "ConjurePrimeRedEffect",
    SpellPrimeFXArgs = "Bone=Spine2",
    SpellPrimeFX2Name = "MagicPrimeTrailRedEffect",
    SpellPrimeFX2Args = "Bone=L_Hand",
    SpellPrimedFXName = "MagicPrimeHandRedEffect",
    SpellPrimedFXArgs = "Bone=R_Hand",
    SpellPrimedFX2Name = "MagicPrimeHandRedEffect",
    SpellPrimedFX2Args = "Bone=L_Hand",
	CanBeDodged = true,
	CanBeBlocked = true,
	CanBeParried = true,
	MinTravelTime = 0.5,
	SpellFXName = "IceRaySpellEffect",
	SpellFXArgs = "Bone=R_Hand",
	SpellFXDelay = 0.1,
	SpellFXDespawnDelay = 3.0,
	SpellHitFX = "IceCrystalExplosionEffect",
	SpellPrimeSFX = "event:/magic/fire/magic_fire_cast_fire",
	SpellHitSFX = "event:/magic/fire/magic_fire_fireball_impact",
	SpellTooltipString = "Shoots a ray of frost that does damages the target on impact.",
	requireLineOfSight = true,
	Skill = "WaterMagic",
	AttackSpellType = true,
	SpellEnabled = true,
	SpellFireAnim = "spell_fire",
	SpellDisplayName = "Innervate",
	TargetMobileEffect = "Chilled",
	Reagents = {
		"LemonGrass",
	},
	Circle = 5,
	Icon = "Cold Mastery",
}