TributeSpawns.LillianRoth =
{	
	SpawnRange = {Min = 2, Max = 4},
	Waves =
	{
		-- wave 1 (Slay Minions)
		{
			Quantity = { Min = 2, Max = 3,},
			NormalEntries = { "mephit_air","mephit_earth","mephit_fire","mephit_water" },
			PlaceHolderChance = 0.1, -- 10% chance
			PlaceHolderEntries = { "lesser_demon" },
		},
		-- wave 2 (Slay Minions)
		{
			Quantity = { Min = 3, Max = 4,},
			NormalEntries = { "mephit_air","mephit_earth","mephit_fire","mephit_water" },
			PlaceHolderChance = 0.125, -- 12.5% chance
			PlaceHolderEntries = { "lesser_demon" },
		},	
		-- wave 3 (Slay Minions)
		{
			Quantity = { Min = 4, Max = 5,},
			NormalEntries = { "mephit_air","mephit_earth","mephit_fire","mephit_water" },
			PlaceHolderChance = 0.15, -- 15% chance
			PlaceHolderEntries = { "lesser_demon" },
		},		
		-- wave 4 (Boss Fight)
		{
			Quantity = { Min = 1, Max = 1,},
			NormalEntries = { "tribute_boss_lillian_roth" },
			PlaceHolderChance = 0.1, -- 10% chance
			PlaceHolderEntries = { "tribute_boss_lillian_roth" },
		},			
	},
	RequiredTributeObjects = 
	{
		tribute_key_lillian_roth_1 = 
		{
			EffectWhenPlaced = "ImpactWaveEffect",
			TributeAcceptMessage = "The tear vanishes with a puff of smoke.",
			NotPlacedTooltip = "What could possibly go here?",
			PlacedTooltip = "a light blue shimmer glows within this sleepins soul.",
			SoundWhenPlaced = "event:/monsters/phantom/phantom_death",
		},
		tribute_key_lillian_roth_2 = -- slso the template of the item needed
		{
			EffectWhenPlaced = "ImpactWaveEffect",
			TributeAcceptMessage = "The tear vanishes with a puff of smoke.",
			NotPlacedTooltip = "What could possibly go here?",
			PlacedTooltip = "a light blue shimmer glows within this sleepins soul.",
			SoundWhenPlaced = "event:/monsters/phantom/phantom_death",
		},
		tribute_key_lillian_roth_3 = -- slso the template of the item needed
		{
			EffectWhenPlaced = "ImpactWaveEffect",
			TributeAcceptMessage = "The tear vanishes with a puff of smoke.",
			NotPlacedTooltip = "What could possibly go here??",
			PlacedTooltip = "a light blue shimmer glows within this sleepins soul.",
			SoundWhenPlaced = "event:/monsters/phantom/phantom_death",
		},
		tribute_key_lillian_roth_4 = -- slso the template of the item needed
		{
			EffectWhenPlaced = "ImpactWaveEffect",
			TributeAcceptMessage = "The tear vanishes with a puff of smoke.",
			NotPlacedTooltip = "What could possibly go here??",
			PlacedTooltip = "a light blue shimmer glows within this sleepins soul.",
			SoundWhenPlaced = "event:/monsters/phantom/phantom_death",
		},
		-- add new template key below
	},
	DynamicWindow =
	{
		FlavorText = "Standing still before you is the silhouette of the lost soul of Lillian Roth. Trapped here by the inhabitants of this foul place. There must be some way to rescue her, How the hell could this happen?",
	}
}