require 'default:scriptcommands'
require 'scriptcommands_tools'

function DeleteCharacter()
    TextFieldDialog.Show
    {
        TargetUser = this,
        Title = "Delete Character",
        Description = "[$2467]",
        ResponseFunc = function(user,newValue)
            if(newValue == "DELETE") then
                -- remove from guild (function does nothing if not in a guild)
                GuildHelpers.Remove(this)

                local clusterController = GetClusterController()
                clusterController:SendMessage("UserLogout", this, true);

                this:DeleteCharacter()
                
            else
                this:SystemMessage("Delete character cancelled")
            end
        end
    }
end

RegisterCommand{ Command="deletechar", AccessLevel = AccessLevel.Mortal, Func=DeleteCharacter, Desc="[$2474]" }

