---------------------------------------------------------
-- USER INTERFACE OPTIONS
---------------------------------------------------------
-- table containing spellbook ui entries
---------------------------------------------------------
UserInterfaceOptions =
{
	FireMagic = 
	{
		BookShading = "CC7700",
		OpenMessage = 
		{
			"upon opening the book, a quick hot breeze blows into your face...",
		},
		OpenSound = 
		{
			"event:/magic/fire/magic_fire_cast_fire",
		},
		OpenEffectFrequency = 0.45,
		SpellTextColor = "FFDC44",
		SpellTextBackGroundColor = "350000",
		IconBorderColor = "CC7700",
		Icon = "Skill_Sorcerer",
		IconColor = "FFBB77",
	},
	WaterMagic = 
	{
		BookShading = "0066BB",
		OpenMessage = 
		{
			"upon opening the book, the book squirts you in the eye...",
		},
		OpenSound = 
		{
			"event:/magic/water/magic_water_cast_water",
		},
		OpenEffectFrequency = 0.45,
		SpellTextColor = "44AAFF",
		SpellTextBackGroundColor = "001525",
		IconBorderColor = "0066BB",
		Icon = "Skill_MagicAffinity",
		IconColor = "44AAFF",
	},
	AirMagic = 
	{
		BookShading = "99CCFF",
		OpenMessage = 
		{
			"upon opening the book, you begin to think more clear...",
		},
		OpenSound = 
		{
			"event:/magic/air/magic_air_cast_air",
		},
		OpenEffectFrequency = 0.45,
		SpellTextColor = "99ABBC",
		SpellTextBackGroundColor = "152025",
		IconBorderColor = "3355DD",
		Icon = "Skill_Evocation",
		IconColor = "3377FF",
	},
	LightMagic =
	{
		BookShading = "BBBB33",
		OpenMessage = 
		{
			"upon opening the book, a refreshing feeling inside begins to blossem...",
		},
		OpenSound = 
		{
			"event:/magic/misc/magic_water_restoration",
		},
		OpenEffectFrequency = 0.45,
		SpellTextColor = "FFFF66",
		SpellTextBackGroundColor = "222203",
		IconBorderColor = "FFFF00",
		Icon = "Skill_Manifestation",
		IconColor = "BBBB00",
	},		
	DarkMagic =
	{
		BookShading = "555555",
		OpenMessage = 
		{
			"upon opening the book, the book whispers ... not now not ever...",
		},
		OpenSound = 
		{
			"event:/magic/void/magic_void_cast_void",
		},
		OpenEffectFrequency = 0.45,
		SpellTextColor = "FF6555",
		SpellTextBackGroundColor = "101010",
		IconBorderColor = "555555",
		Icon = "Skill_Necromancy",
		IconColor = "895959",
	},		
	EarthMagic =
	{
		BookShading = "633C1B",
		OpenMessage = 
		{
			"upon opening the book, you feel more connected...",
		},
		OpenSound = 
		{
			"event:/magic/earth/magic_earth_bombardment_impact",
		},
		OpenEffectFrequency = 0.45,
		SpellTextColor = "B48D6C",
		SpellTextBackGroundColor = "412303",
		IconBorderColor = "633C1B",
		Icon = "Skill_Fieldmage",
		IconColor = "A37C5B",
	},		
}