-----------------------------------------------------------------------------------------------
-- VERSION 1.0
-----------------------------------------------------------------------------------------------
-- binds the soul of the caster anywhere. allowing them to use spells or items to trave to
-- that location
-----------------------------------------------------------------------------------------------
MobileEffectLibrary.BindSoul = 
{
	-------------------------------------------------------------------------------------------
	-- CORE VARIABLES
	-------------------------------------------------------------------------------------------
	Caster = nil,
	Duration = SpellData.SpellEffectDuration.Instant,
	-------------------------------------------------------------------------------------------
	-- CORE FUNCTIONS
	-------------------------------------------------------------------------------------------
	OnEnterState = function(self,root,target,args) 
		self.Caster = self.ParentObj
		self.Caster:SendMessage("BindToLocation",self.Caster:GetLoc(),true)
		self.PlayEffects(self,root,target,args)
	end,
	GetPulseFrequency = function(self,root)
		return self.Duration
	end,
	AiPulse = function(self,root)
		EndMobileEffect(root)
	end,
	-------------------------------------------------------------------------------------------
	-- CUSTOM FUNCTIONS
	-------------------------------------------------------------------------------------------
	PlayEffects = function(self,root,target,args)
		self.Caster:PlayEffect("TeleportToEffect")
		self.Caster:PlayObjectSound("event:/magic/air/magic_air_cast_air",false)
		self.Caster:SystemMessage("[4477AA]Your soul becomes bound to this location.")	
	end,
}