-----------------------------------------------------------------------------------------------
-- VERSION 1.0
-----------------------------------------------------------------------------------------------
-- Damage Scaling
-- TODO DAMANGE CHANGE COMMENT CORRECTLY
-- damage bonus is 1 - 100 based on enhancement skill
-- RULES
-- 50% less damage to non undead
-----------------------------------------------------------------------------------------------
MobileEffectLibrary.FlameWhirl = 
{
	-------------------------------------------------------------------------------------------
	-- CORE VARIABLES
	-------------------------------------------------------------------------------------------
	Duration = SpellData.SpellEffectDuration.Instant,
	MinDamage = 5,
	MaxDamage = 9,
	BaseDamage = 15,
	MaxBonusDamage = 35,
	Caster = nil,
	Victim = nil,
	-------------------------------------------------------------------------------------------
	-- CORE FUNCTIONS
	-------------------------------------------------------------------------------------------
	OnEnterState = function(self,root,target,args)
		self.Caster = target
		self.Victim = self.ParentObj
		self.PlayEffects(self,root,target,args)
	end,
	GetPulseFrequency = function(self,root)
		return self.Duration
	end,
	AiPulse = function(self,root)
		EndMobileEffect(root)
	end,
	-------------------------------------------------------------------------------------------
	-- CUSTOM FUNCTIONS
	-------------------------------------------------------------------------------------------
	PlayEffects = function(self,root,target,args)
		DoProjectileSpellEffects(self.Caster,self.Victim,"FlameWhirl",self)
	end,
	DoDelayedDamage = function (self)
		local baseFireDamage = (GetSkillLevel(self.Caster,"FireMagic")/100) * self.BaseDamage
		local maxBonusDamage = (GetSkillLevel(self.Caster,"MagicFocusEnhancement")/100) *self.MaxBonusDamage
		local spellDamage = math.random(self.MinDamage,self.MaxDamage) + baseFireDamage + maxBonusDamage
		self.Victim:SendMessage("DamageInflicted",self.Caster,spellDamage,"MAGIC",false,false,false,self.Caster)
	end
}