-----------------------------------------------------------------------------------------------
-- VERSION 1.0
-----------------------------------------------------------------------------------------------
-- Currently has no enhancement effects
-----------------------------------------------------------------------------------------------
MobileEffectLibrary.NeutralizePoison = 
{
	-------------------------------------------------------------------------------------------
	-- CORE VARIABLES
	-------------------------------------------------------------------------------------------
	Duration = SpellData.SpellEffectDuration.Instant,
	-------------------------------------------------------------------------------------------
	-- CORE FUNCTIONS
	-------------------------------------------------------------------------------------------
	OnEnterState = function(self,root,target,args)
		if ( self.ParentObj:IsPlayer() ) then
			self.ParentObj:SystemMessage("[FFFF77]the poison leaves your system...")
		end
		self.ParentObj:SendMessage("EndPoisonEffect")
		self.PlayEffects(self)
	end,
	GetPulseFrequency = function(self,root)
		return self.Duration
	end,
	AiPulse = function(self,root)
		EndMobileEffect(root)
	end,
	-------------------------------------------------------------------------------------------
	-- CUSTOM FUNCTIONS
	-------------------------------------------------------------------------------------------
	PlayEffects = function(self,root,target,args)
		self.ParentObj:PlayObjectSound("event:/magic/misc/magic_water_restoration",false)
		self.ParentObj:PlayEffectWithArgs("GroundCircleGreen2",2,"Bone=Ground")
		self.ParentObj:PlayEffectWithArgs("HolyEffect",2,"Bone=Ground")	
	end,
}