SpellData.AllSpells.Bombardment = 
{
	PowerWords = "Bombardment",
	Icon = "Meteor 01",
	manaCost = 20,
	upkeepCost = 0,
	DamageType = "MAGIC",
	SpellPower = 38,
	critChance = 4,
	SpellRange = 12,
	TargetType = "targetMobile",
	TargetRequired = true,
	CanBeInterrupted = true,
	CanClearcast = true,
	IndirectProjectile = true,
	SpellTravelRate = .2,
	MinTravelTime = 3.5,
	--critEffectTargetScript = "sp_shocked_slow_effect",
	SpellType = "MagicAttackTypeSpell",
	--SpellFXName = "LightningCloudEffect",
	--SpellLaunchFX = "RockLaunchEffect",
	SpellPrimeFXName = "ConjurePrimeRedEffect",
    SpellPrimeFXArgs = "Bone=Spine2",
    SpellPrimeFX2Name = "MagicPrimeTrailRedEffect",
    SpellPrimeFX2Args = "Bone=L_Hand",
    SpellPrimedFXName = "MagicPrimeHandRedEffect",
    SpellPrimedFXArgs = "Bone=R_Hand",
    SpellPrimedFX2Name = "MagicPrimeHandRedEffect",
    SpellPrimedFX2Args = "Bone=L_Hand",
	SpellPrimeSFX = "event:/magic/fire/magic_fire_cast_fire",
	SpellHitSFX = "event:/magic/air/magic_air_lightning",
	SpellHitFX = "RedCoreImpactWaveEffect",
	SpellTooltipString = "Launch a boulder towards the target that impacts after a delay.",
	requireLineOfSight = true,
	Skill = "EarthMagic",
	AttackSpellType = true,
	SpellEnabled = true,
	SpellFireAnim = "cast_earth",
	SpellDisplayName = "Bombardment",
	critEffectTargetScript = "sp_shaken_slow_effect",
	AffinityRequired = {
				Earth = 2,
	},
	Reagents = {
		"Mushrooms",
		},
	Circle = 6,
}

SpellData.AllSpells.Earthquake = 
{
	PreventTownCast = true,
	PowerWords = "Earthquake",
	manaCost = 100,
	upkeepCost = 0,
	--DamageType = "MAGIC",	If earthquake breaks we know.		
	effectType = "InstantHitSpell",
	SpellPower = 8,
	critChance = 20,
	SpellRange = 15,
	TargetType = "Self",
	TargetRequired = false,
	CanBeInterrupted = true,
	CanClearcast = true,
	SpellType = "MagicAttackTypeSpell",
	SpellPrimeSFX = "event:/magic/fire/magic_fire_cast_fire",
	SpellPrimeFXName = "ConjurePrimeRedEffect",
    SpellPrimeFXArgs = "Bone=Spine2",
    SpellPrimeFX2Name = "MagicPrimeTrailRedEffect",
    SpellPrimeFX2Args = "Bone=L_Hand",
    SpellPrimedFXName = "MagicPrimeHandRedEffect",
    SpellPrimedFXArgs = "Bone=R_Hand",
    SpellPrimedFX2Name = "MagicPrimeHandRedEffect",
    SpellPrimedFX2Args = "Bone=L_Hand",
	SpellTooltipString = "Shakes the earth around the caster dealing damage.",
	requireLineOfSight = true,
	Skill = "EarthMagic",
	AttackSpellType = true,
	SpellEnabled = true,
	SpellFireAnim = "cast_fire",
	SpellDisplayName = "Earthquake",
	completionEffectUserScript  = "sp_earthquake_effect",
	DistanceDecayRate = -.05,
	DoNotReplaceTarget = true,
	InstantHitSpell = true,
	SpellLaunchSFX = "event:/magic/fire/magic_fire_cast_fire",
	critEffectTargetScript = "sp_shaken_slow_effect",
	Reagents = {
		"LemonGrass"
	},
	Circle = 8,
	Icon = "earthquake"
}

SpellData.AllSpells.StoneElemental = 
{
	PreventTownCast = true,
	PowerWords = "Earthquake",
	manaCost = 100,
	upkeepCost = 0,
	--DamageType = "MAGIC",	If earthquake breaks we know.		
	effectType = "InstantHitSpell",
	SpellPower = 8,
	critChance = 20,
	SpellRange = 15,
	TargetType = "Self",
	TargetRequired = false,
	CanBeInterrupted = true,
	CanClearcast = true,
	SpellType = "MagicAttackTypeSpell",
	SpellPrimeSFX = "event:/magic/fire/magic_fire_cast_fire",
	SpellPrimeFXName = "ConjurePrimeRedEffect",
    SpellPrimeFXArgs = "Bone=Spine2",
    SpellPrimeFX2Name = "MagicPrimeTrailRedEffect",
    SpellPrimeFX2Args = "Bone=L_Hand",
    SpellPrimedFXName = "MagicPrimeHandRedEffect",
    SpellPrimedFXArgs = "Bone=R_Hand",
    SpellPrimedFX2Name = "MagicPrimeHandRedEffect",
    SpellPrimedFX2Args = "Bone=L_Hand",
	SpellTooltipString = "Shakes the earth around the caster dealing damage.",
	requireLineOfSight = true,
	Skill = "EarthMagic",
	AttackSpellType = true,
	SpellEnabled = true,
	SpellFireAnim = "cast_fire",
	SpellDisplayName = "Stone Elemental",
	completionEffectUserScript  = "sp_earthquake_effect",
	DistanceDecayRate = -.05,
	DoNotReplaceTarget = true,
	InstantHitSpell = true,
	SpellLaunchSFX = "event:/magic/fire/magic_fire_cast_fire",
	critEffectTargetScript = "sp_shaken_slow_effect",
	Reagents = {
		"LemonGrass"
	},
	Circle = 8,
	Icon = "Stone Skin"
}

SpellData.AllSpells.RuinicBlast = 
{
	PowerWords = "",
	Icon = "Flame Mark",
	manaCost = 6,
	upkeepCost = 0,
	DamageType = "Energy",
	effectType = "InstantHitSpell",
	SpellPower = 17,
	critChance = 10,
	SpellRange = 12,
	TargetType = "targetMobile",
	TargetRequired = true,
	CanBeInterrupted = true,
	CanClearcast = true,
	critEffectTargetScript = "sp_shocked_slow_effect",
	SpellType = "MagicAttackTypeSpell",
	--SpellFXName = "LightningCloudEffect",
	SpellPrimeSFX = "event:/magic/void/magic_void_cast_void",
	SpellHitSFX = "event:/magic/fire/magic_fire_fireball_impact",
	SpellPrimeFXName = "ConjurePrimeRedEffect",
    SpellPrimeFXArgs = "Bone=Spine2",
    SpellPrimeFX2Name = "MagicPrimeTrailRedEffect",
    SpellPrimeFX2Args = "Bone=L_Hand",
    SpellPrimedFXName = "MagicPrimeHandRedEffect",
    SpellPrimedFXArgs = "Bone=R_Hand",
    SpellPrimedFX2Name = "MagicPrimeHandRedEffect",
    SpellPrimedFX2Args = "Bone=L_Hand",
	SpellHitFX = "VoidExplosionEffect",
	SpellTooltipString = "Harm your opponent, dealing increased damage when closer to your target.",
	requireLineOfSight = true,
	Skill = "EarthMagic",
	AttackSpellType = true,
	SpellEnabled = true,
	SpellFireAnim = "spell_fire",
	SpellDisplayName = "Runic Blast",
	Reagents = {
		"Moss",
	},
	Circle = 2,
}