---------------------------------------------------------
-- PRIMARY ABILITIES
---------------------------------------------------------
WeaponAbilitiesData.ChillingStrike = 
{
    TargetMobileEffect = "ChillingStrike",
    TargetMobileEffectArgs = 
    {
        Duration = WeaponAbilitiesDurations.MobileNormal,
        PlayerDuration = WeaponAbilitiesDurations.PlayerNormal,
    },
    Stamina = WeaponAbilitiesStaminaCost.MagicStaffPrimary,
    Cooldown = WeaponAbilitiesCoolDowns.MagicStaffPrimary,
    Action = 
    {
        DisplayName = "Chilling Strike",
        Tooltip = "Chill your target on your next hit.",
        Icon = "Chill",
        Enabled = true
    },
    SkipHitAction = true
}

WeaponAbilitiesData.Pummel = {
    TargetMobileEffect = "Pummel",
    TargetMobileEffectArgs = 
    {
        Duration = WeaponAbilitiesDurations.MobileNormal,
        PlayerDuration = WeaponAbilitiesDurations.PlayerNormal,
    },
    Stamina = WeaponAbilitiesStaminaCost.MagicStaffPrimary,
    Cooldown = WeaponAbilitiesCoolDowns.MagicStaffPrimary,
    Action = 
    {
        DisplayName = "Pummel",
        Tooltip = "Pummel your target on your next hit.",
        Icon = "shockwave",
        Enabled = true
    },
    SkipHitAction = true
}

WeaponAbilitiesData.Scorch = 
{
    TargetMobileEffect = "Scorch",
    TargetMobileEffectArgs = 
    {
        Duration = WeaponAbilitiesDurations.MobileNormal,
        PlayerDuration = WeaponAbilitiesDurations.PlayerNormal,
    },
    Stamina = WeaponAbilitiesStaminaCost.MagicStaffPrimary,
    Cooldown = WeaponAbilitiesCoolDowns.MagicStaffPrimary,
    Action = 
    {
        DisplayName = "Scorch",
        Tooltip = "Scorch your target on your next hit.",
        Icon = "auraoffire",
        Enabled = true
    },
    SkipHitAction = true
}

WeaponAbilitiesData.Shock = 
{
    TargetMobileEffect = "Shock",
    TargetMobileEffectArgs = 
    {
        Duration = WeaponAbilitiesDurations.MobileNormal,
        PlayerDuration = WeaponAbilitiesDurations.PlayerNormal,
    },
    Stamina = WeaponAbilitiesStaminaCost.MagicStaffPrimary,
    Cooldown = WeaponAbilitiesCoolDowns.MagicStaffPrimary,
    Action = 
    {
        DisplayName = "Shock",
        Tooltip = "Shock your target on your next hit.",
        Icon = "chainlightning",
        Enabled = true
    },
    SkipHitAction = true
}

---------------------------------------------------------
-- SECONDARY ABILITIES
---------------------------------------------------------
WeaponAbilitiesData.BlurVision = 
{
    TargetMobileEffect = "BlurVision",
    TargetMobileEffectArgs = 
    {
        Duration = WeaponAbilitiesDurations.MobileNormal,
        PlayerDuration = WeaponAbilitiesDurations.PlayerNormal,
    },
    Stamina = WeaponAbilitiesStaminaCost.MagicStaffSecondary,
    Cooldown = WeaponAbilitiesCoolDowns.MagicStaffSecondary,
    Action = 
    {
        DisplayName = "Blur Vision",
        Tooltip = "Splash acidic water into the eyes of your target, making it harder for them to see.",
        Icon = "Soothing Water",
        Enabled = true
    },
    SkipHitAction = true
}

WeaponAbilitiesData.Brand = 
{
    TargetMobileEffect = "Brand",
    TargetMobileEffectArgs = 
    {
        Duration = WeaponAbilitiesDurations.MobileNormal,
        PlayerDuration = WeaponAbilitiesDurations.PlayerNormal,
    },
    Stamina = WeaponAbilitiesStaminaCost.MagicStaffSecondary,
    Cooldown = WeaponAbilitiesCoolDowns.MagicStaffSecondary,
    Action = 
    {
        DisplayName = "Brand",
        Tooltip = "Burn a magical brand into your opponent's skin.",
        Icon = "Ball Lightning 02",
        Enabled = true
    },
    SkipHitAction = true
}

WeaponAbilitiesData.SkullCrack = 
{
    TargetMobileEffect = "SkullCrack",
    TargetMobileEffectArgs = 
    {
        Duration = WeaponAbilitiesDurations.MobileNormal,
        PlayerDuration = WeaponAbilitiesDurations.PlayerNormal,
    },
    Stamina = WeaponAbilitiesStaminaCost.MagicStaffSecondary,
    Cooldown = WeaponAbilitiesCoolDowns.MagicStaffSecondary,
    Action = 
    {
        DisplayName = "Skull Crack",
        Tooltip = "Crack your targets skull, stunning them for a short duration.",
        Icon = "pulverize",
        Enabled = true
    },
    SkipHitAction = true
}

WeaponAbilitiesData.Windswept = 
{
    TargetMobileEffect = "Windswept",
    TargetMobileEffectArgs = 
    {
        Duration = WeaponAbilitiesDurations.MobileNormal,
        PlayerDuration = WeaponAbilitiesDurations.PlayerNormal,
    },
    Stamina = WeaponAbilitiesStaminaCost.MagicStaffSecondary,
    Cooldown = WeaponAbilitiesCoolDowns.MagicStaffSecondary,
    Action = 
    {
        DisplayName = "Windswept",
        Tooltip = "your target looses their footing, slowing them down.",
        Icon = "Lightning Reflexes",
        Enabled = true
    },
    SkipHitAction = true
}



